%define upstream_name    MooseX-Emulate-Class-Accessor-Fast
%define upstream_version 0.009032

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Epoch:      1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Emulate Class::Accessor::Fast behavior using Moose attributes
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose) >= 0.840.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
This module attempts to hijack the Class::Accessor::Fast manpage in %INC
and replace it with the MooseX::Emulate::Class::Accessor::Fast manpage.
Make sure it is loaded before the classes you have that use
<Class::Accessor::Fast>. It is meant as a tool to help you migrate your
project from the Class::Accessor::Fast manpage, to the
MooseX::Emulate::Class::Accessor::Fast manpage and ultimately, to the Moose
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:0.9.32-5.mga10
+ Revision: 2204079
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1:0.9.32-4.mga9
+ Revision: 1809822
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.9.32-3.mga8
+ Revision: 1505400
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:0.9.32-2.mga7
+ Revision: 1285075
- Mageia 7 Mass Rebuild

* Wed Jul 04 2018 shlomif <shlomif> 1:0.9.32-1.mga7
+ Revision: 1241601
- update to 0.009032

* Tue Oct 03 2017 tv <tv> 1:0.9.30-9.mga7
+ Revision: 1165604
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1:0.9.30-8.mga7
+ Revision: 1159214
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1:0.9.30-7.mga6
+ Revision: 1030341
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:0.9.30-6.mga6
+ Revision: 944972
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.30-5.mga5
+ Revision: 740228
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.30-4.mga5
+ Revision: 685532
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.9.30-3.mga4
+ Revision: 513122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.9.30-2.mga3
+ Revision: 370170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 1:0.9.30-1.mga1
+ Revision: 38483
- mageia rebuild
- imported package perl-MooseX-Emulate-Class-Accessor-Fast

